# $Revision: 1.6 $, $Date: 2002/08/26 07:34:33 $
%include        /usr/lib/rpm/macros.perl
Summary:	The Usenet Binary Harvester
Summary(pl):	Usenetowy niwiarz
Name:		ubh
Version:	2.5
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://ubh.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ubh - the Usenet Binary Harvester - is a GPL'ed Perl console
application which automatically discovers, downloads, and decodes
single-part and multi-part Usenet binaries. Automatically assembles
multi-part binaries. Provides searching via Perl regular expression
syntax. Also provides a pre-selection capability whereby the user can
interactively choose which binaries to download. Uses a standard
.newsrc file to control which groups to process, and uses the .newsrc
to keep track of articles already processed. Handles uuencoded
binaries and MIME attachments.

%description -l pl
ubh - Usenetowy niwiarz Binarek jest perlow aplikacj dziaajc na
konsoli ktra automatycznie rozpoznaje, ciga i dekoduje pojedycze i
wieloczciowe binaria zamieszczone w usenecie. Wieloczciowe
przesyki s automatycznie czone. Obsuguje wyszukiwanie przez
perlow skadni wyrae regularnych. Pozwala take na wstpny wybr
moliwoci gdzie uytkownik moe sam wybra binaria do cignicia.
Wykorzystuje standardowy plik .newsrc to kontrolowania uywanych grup
i ledzenia ktre artykuy zostay ju przetworzone. Obsuguje
uuencodowane binaria i zaczniki MIME.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install ubh contrib/mydecode contrib/newshark $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO examples doc/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ubh.spec,v $
Revision 1.6  2002/08/26 07:34:33  kloczek
- cosmetics.

Revision 1.5  2002/08/24 16:51:34  undefine
- upgrade to 2.5, add more documentation, contrib files and examples

Revision 1.4  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/01 14:09:18  undefine
- Initial rpm version
